# Logging

open class Logging

The main entry point for Gradle's logging system. Gradle routes all logging via SLF4J. You can use either an SLF4J org.slf4j.Logger or a Gradle Logger to perform logging.

## Constructors

Logging
Link copied to clipboard
constructor()

## Properties

LIFECYCLE
Link copied to clipboard
val LIFECYCLE: Marker
QUIET
Link copied to clipboard
val QUIET: Marker

## Functions

getLogger
Link copied to clipboard
open fun getLogger(c: Class): Logger
Returns the logger for the given class.
open fun getLogger(name: String): Logger
Returns the logger with the given name.